Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class AgletsPermissionBase

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--com.ibm.aglets.security.AgletsPermissionBase

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

Direct Known Subclasses:
  ContextPermission, PlainAgletPermission, PlainMessagePermission

public abstract class AgletsPermissionBase
extends java.security.Permission
implements java.security.Guard, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected static char` | `CHAR_ASTERISK`
`protected static char` | `CHAR_COLON`
`protected static char` | `CHAR_COMMA`
`protected static char` | `CHAR_DOT`
`protected static char` | `CHAR_HYPHEN`
`protected static char` | `CHAR_SLASH`
`protected static java.lang.String` | `SEPARATOR`
`protected static java.lang.String` | `SEPARATORS`
`protected static java.lang.String` | `STRING_ASTERISK`
`protected static java.lang.String` | `STRING_COLON`
`protected static java.lang.String` | `STRING_COMMA`
`protected static java.lang.String` | `STRING_DOT`
`protected static java.lang.String` | `STRING_HYPHEN`
`protected static java.lang.String` | `STRING_SLASH`
`protected static java.lang.String` | `STRING_WILDCARD`

Constructor Summary
`AgletsPermissionBase(java.lang.String name)`

Method Summary
`protected static boolean` | `checkAglet(java.lang.String pattern, java.lang.String name)`
`protected static java.lang.String` | `concat(java.lang.String[] a)`
`protected static java.lang.String` | `concat(java.lang.String[] a, java.lang.String separator)`
`protected static java.lang.String` | `concat(java.util.Vector list)`
`protected static java.lang.String` | `concat(java.util.Vector list, java.lang.String separator)`
`protected static boolean` | `includes(java.lang.String[] list, java.lang.String elem)`
`protected static boolean` | `includes(java.util.Vector list, java.lang.String elem)`
`protected static boolean` | `matches(boolean[] base, boolean[] target)`
`protected static boolean` | `matches(java.lang.String[] list, java.lang.String[] elems)`
`protected static boolean` | `matches(java.lang.String base, java.lang.String t)`
`protected static boolean` | `matches(java.util.Vector list, java.util.Vector elems)`
`protected static void` | `qsort(java.lang.String[] array)`
`protected static java.lang.String` | `select(java.lang.String[] label, boolean[] flag)`
`protected static java.lang.String` | `select(java.lang.String[] label, boolean[] flag, java.lang.String separator)`
`protected static java.lang.String[]` | `split(java.lang.String v, java.lang.String sep)`
`protected static java.lang.String[]` | `split(java.lang.String v, java.lang.String sep, boolean sort)`

Methods inherited from class java.security.Permission
`checkGuard, equals, getActions, getName, hashCode, implies, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Guard
`checkGuard`

Field Detail

### CHAR_ASTERISK

    protected static final char CHAR_ASTERISK

### STRING_ASTERISK

    protected static final java.lang.String STRING_ASTERISK

### CHAR_HYPHEN

    protected static final char CHAR_HYPHEN

### STRING_HYPHEN

    protected static final java.lang.String STRING_HYPHEN

### CHAR_SLASH

    protected static final char CHAR_SLASH

### STRING_SLASH

    protected static final java.lang.String STRING_SLASH

### CHAR_COLON

    protected static final char CHAR_COLON

### STRING_COLON

    protected static final java.lang.String STRING_COLON

### CHAR_DOT

    protected static final char CHAR_DOT

### STRING_DOT

    protected static final java.lang.String STRING_DOT

### CHAR_COMMA

    protected static final char CHAR_COMMA

### STRING_COMMA

    protected static final java.lang.String STRING_COMMA

### STRING_WILDCARD

    protected static final java.lang.String STRING_WILDCARD

### SEPARATOR

    protected static final java.lang.String SEPARATOR

### SEPARATORS

    protected static final java.lang.String SEPARATORS

Constructor Detail

### AgletsPermissionBase

    public AgletsPermissionBase(java.lang.String name)

Method Detail

### checkAglet

    protected static final boolean checkAglet(java.lang.String pattern,
                                              java.lang.String name)

### concat

    protected static final java.lang.String concat(java.lang.String[] a)

### concat

    protected static final java.lang.String concat(java.lang.String[] a,
                                                   java.lang.String separator)

### concat

    protected static final java.lang.String concat(java.util.Vector list)

### concat

    protected static final java.lang.String concat(java.util.Vector list,
                                                   java.lang.String separator)

### includes

    protected static final boolean includes(java.lang.String[] list,
                                            java.lang.String elem)

### includes

    protected static final boolean includes(java.util.Vector list,
                                            java.lang.String elem)

### matches

    protected static final boolean matches(java.lang.String[] list,
                                           java.lang.String[] elems)

### matches

    protected static final boolean matches(boolean[] base,
                                           boolean[] target)

### matches

    protected static final boolean matches(java.lang.String base,
                                           java.lang.String t)

### matches

    protected static final boolean matches(java.util.Vector list,
                                           java.util.Vector elems)

### qsort

    protected static void qsort(java.lang.String[] array)

### select

    protected static final java.lang.String select(java.lang.String[] label,
                                                   boolean[] flag)

### select

    protected static final java.lang.String select(java.lang.String[] label,
                                                   boolean[] flag,
                                                   java.lang.String separator)

### split

    protected static final java.lang.String[] split(java.lang.String v,
                                                    java.lang.String sep)

### split

    protected static final java.lang.String[] split(java.lang.String v,
                                                    java.lang.String sep,
                                                    boolean sort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD